Mercurial > noffle
view debian/init @ 386:278a03a392b1 noffle
[svn] * src/client.c: Return correct status from Client_postArt() and add
function comment detailing what return code should be, because it's
not obvious that the return code should report success when the
posting failed for reasons other than connection problems. This should fix
problem with failing posting stopping fetches. Thanks to Dan Jacobson
for spotting this.
* src/client.c: Fix problemette with filter discards not updating remote
group article count and so the overview being refetched until
and article appears that doesn't fall foul of the filter and thus does
update the remove group 'next article' marker. Thanks to Dan Jacobson
for spotting this.
author | bears |
---|---|
date | Thu, 22 May 2003 09:23:33 +0100 |
parents | 863270a06774 |
children | aae1f2906cea |
line wrap: on
line source
#!/bin/sh # $Id: init 523 2003-04-18 19:52:16Z godisch $ set -e PATH="/bin:/usr/bin:/sbin:/usr/sbin" NOFFLE="/usr/bin/noffle" help () { echo "Usage: /etc/init.d/noffle { online | offline }" >&2 } if [ ! -x "$NOFFLE" ]; then echo "Cannot execute noffle: program not found." >&2 exit 5 # LSB: program is not installed fi if [ "$2" ]; then help exit 2 # LSB: invalid or excess argument(s) fi if [ -x /usr/sbin/pppd ]; then NOFFLE_FETCHMODE="ppp" else NOFFLE_FETCHMODE="cron" fi if [ -f /etc/default/noffle ]; then . /etc/default/noffle fi case "$1" in start) echo -n "Initializing offline news server: " if [ "$NOFFLE_FETCHMODE" = ppp ]; then $NOFFLE --offline else $NOFFLE --online fi ;; stop) echo -n "Switching offline news server into offline mode: " $NOFFLE --offline ;; restart) echo -n "Restarting offline news server: noffle" ;; reload|force-reload) echo -n "Reloading offline news server configuration: noffle" ;; status) help exit 4 # LSB: program or service status is unknown ;; online|offline) echo -n "Switching offline news server into $1 mode: " $NOFFLE --$1 ;; *) help exit 2 # LSB: invalid or excess argument(s) ;; esac echo "." exit 0